Bug 980883 - perl-DBD-MySQL requires libmysqlclient.so.18 provided by mariadb.-libs
perl-DBD-MySQL requires libmysqlclient.so.18 provided by mariadb.-libs
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: perl-DBD-MySQL (Show other bugs)
19
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 08:33 EDT by ryo fujita
Modified: 2013-08-27 06:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-27 06:40:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ryo fujita 2013-07-03 08:33:46 EDT
Description of problem:
Installing community-mysql-server results the community-mysql and mariadb mixed environment.

Version-Release number of selected component (if applicable):
perl-DBD-MySQL-4.023-2.fc19

How reproducible:
always

Steps to Reproduce:
1. yum -y intall community-mysql-server
2. 
3.

Actual results:
mariadb-libs is installed.

Expected results:
community-mysql-libs is installed.

Additional info:
The document, Features/ReplaceMySQLwithMariaDB, explains that "exclude=mariadb*" in yum.conf can avoid to install mariadb packages.
http://fedoraproject.org/wiki/Features/ReplaceMySQLwithMariaDB

But it fails with the dependencies error because perl-DBD-MySQL requires libmysqlclient.so.18.

# tail -1 /etc/yum.conf
exclude=mariadb*

# yum -y install community-mysql-server
Loaded plugins: langpacks, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package community-mysql-server.x86_64 0:5.5.32-2.fc19 will be installed
--> Processing Dependency: community-mysql-common(x86-64) = 5.5.32-2.fc19 for package: community-mysql-server-5.5.32-2.fc19.x86_64
--> Processing Dependency: perl-DBI for package: community-mysql-server-5.5.32-2.fc19.x86_64
--> Processing Dependency: perl-DBD-MySQL for package: community-mysql-server-5.5.32-2.fc19.x86_64
--> Processing Dependency: perl(DBI) for package: community-mysql-server-5.5.32-2.fc19.x86_64
--> Processing Dependency: mysql(x86-64) for package: community-mysql-server-5.5.32-2.fc19.x86_64
--> Running transaction check
---> Package community-mysql.x86_64 0:5.5.32-2.fc19 will be installed
---> Package community-mysql-common.x86_64 0:5.5.32-2.fc19 will be installed
---> Package perl-DBD-MySQL.x86_64 0:4.023-2.fc19 will be installed
--> Processing Dependency: libmysqlclient.so.18(libmysqlclient_16)(64bit) for package: perl-DBD-MySQL-4.023-2.fc19.x86_64
--> Processing Dependency: libmysqlclient.so.18()(64bit) for package: perl-DBD-MySQL-4.023-2.fc19.x86_64
---> Package perl-DBI.x86_64 0:1.623-2.fc19 will be installed
--> Processing Dependency: perl(RPC::PlServer) >= 0.2001 for package: perl-DBI-1.623-2.fc19.x86_64
--> Processing Dependency: perl(RPC::PlClient) >= 0.2000 for package: perl-DBI-1.623-2.fc19.x86_64
--> Processing Dependency: perl(Coro::Select) for package: perl-DBI-1.623-2.fc19.x86_64
--> Processing Dependency: perl(Coro::Handle) for package: perl-DBI-1.623-2.fc19.x86_64
--> Processing Dependency: perl(Coro) for package: perl-DBI-1.623-2.fc19.x86_64
--> Running transaction check
---> Package perl-Coro.x86_64 0:6.23-2.fc19 will be installed
--> Processing Dependency: perl(IO::AIO) >= 3.1 for package: perl-Coro-6.23-2.fc19.x86_64
--> Processing Dependency: perl(Guard) >= 0.5 for package: perl-Coro-6.23-2.fc19.x86_64
--> Processing Dependency: perl(Event) >= 1.08 for package: perl-Coro-6.23-2.fc19.x86_64
--> Processing Dependency: perl(EV) >= 4 for package: perl-Coro-6.23-2.fc19.x86_64
--> Processing Dependency: perl(AnyEvent::BDB) >= 1 for package: perl-Coro-6.23-2.fc19.x86_64
--> Processing Dependency: perl(AnyEvent::AIO) >= 1 for package: perl-Coro-6.23-2.fc19.x86_64
--> Processing Dependency: perl(AnyEvent) >= 7 for package: perl-Coro-6.23-2.fc19.x86_64
--> Processing Dependency: perl(common::sense) for package: perl-Coro-6.23-2.fc19.x86_64
--> Processing Dependency: perl(Net::HTTP) for package: perl-Coro-6.23-2.fc19.x86_64
--> Processing Dependency: perl(BDB) for package: perl-Coro-6.23-2.fc19.x86_64
--> Processing Dependency: perl(AnyEvent::Util) for package: perl-Coro-6.23-2.fc19.x86_64
--> Processing Dependency: perl(AnyEvent::Socket) for package: perl-Coro-6.23-2.fc19.x86_64
--> Processing Dependency: perl(AnyEvent::DNS) for package: perl-Coro-6.23-2.fc19.x86_64
---> Package perl-DBD-MySQL.x86_64 0:4.023-2.fc19 will be installed
--> Processing Dependency: libmysqlclient.so.18(libmysqlclient_16)(64bit) for package: perl-DBD-MySQL-4.023-2.fc19.x86_64
--> Processing Dependency: libmysqlclient.so.18()(64bit) for package: perl-DBD-MySQL-4.023-2.fc19.x86_64
---> Package perl-PlRPC.noarch 0:0.2020-13.fc19 will be installed
--> Processing Dependency: perl(Net::Daemon) >= 0.13 for package: perl-PlRPC-0.2020-13.fc19.noarch
--> Processing Dependency: perl(Net::Daemon::Test) for package: perl-PlRPC-0.2020-13.fc19.noarch
--> Processing Dependency: perl(Net::Daemon::Log) for package: perl-PlRPC-0.2020-13.fc19.noarch
--> Processing Dependency: perl(Compress::Zlib) for package: perl-PlRPC-0.2020-13.fc19.noarch
--> Running transaction check
---> Package perl-AnyEvent.x86_64 0:7.04-2.fc19 will be installed
--> Processing Dependency: perl(Task::Weaken) for package: perl-AnyEvent-7.04-2.fc19.x86_64
--> Processing Dependency: perl(Net::SSLeay) for package: perl-AnyEvent-7.04-2.fc19.x86_64
---> Package perl-AnyEvent-AIO.noarch 0:1.1-11.fc19 will be installed
---> Package perl-AnyEvent-BDB.noarch 0:1.1-10.fc19 will be installed
---> Package perl-BDB.x86_64 0:1.90-4.fc19 will be installed
---> Package perl-DBD-MySQL.x86_64 0:4.023-2.fc19 will be installed
--> Processing Dependency: libmysqlclient.so.18(libmysqlclient_16)(64bit) for package: perl-DBD-MySQL-4.023-2.fc19.x86_64
--> Processing Dependency: libmysqlclient.so.18()(64bit) for package: perl-DBD-MySQL-4.023-2.fc19.x86_64
---> Package perl-EV.x86_64 0:4.11-2.fc19 will be installed
---> Package perl-Event.x86_64 0:1.21-2.fc19 will be installed
---> Package perl-Guard.x86_64 0:1.022-4.fc19 will be installed
---> Package perl-IO-AIO.x86_64 0:4.15-4.fc19 will be installed
---> Package perl-IO-Compress.noarch 0:2.060-2.fc19 will be installed
--> Processing Dependency: perl(Compress::Raw::Zlib) >= 2.060 for package: perl-IO-Compress-2.060-2.fc19.noarch
--> Processing Dependency: perl(Compress::Raw::Bzip2) >= 2.060 for package: perl-IO-Compress-2.060-2.fc19.noarch
---> Package perl-Net-Daemon.noarch 0:0.48-5.fc19 will be installed
---> Package perl-Net-HTTP.noarch 0:6.06-1.fc19 will be installed
--> Processing Dependency: perl(IO::Socket::SSL) >= 1.38 for package: perl-Net-HTTP-6.06-1.fc19.noarch
---> Package perl-common-sense.noarch 0:3.6-4.fc19 will be installed
--> Running transaction check
---> Package perl-Compress-Raw-Bzip2.x86_64 0:2.060-2.fc19 will be installed
---> Package perl-Compress-Raw-Zlib.x86_64 0:2.060-2.fc19 will be installed
---> Package perl-DBD-MySQL.x86_64 0:4.023-2.fc19 will be installed
--> Processing Dependency: libmysqlclient.so.18(libmysqlclient_16)(64bit) for package: perl-DBD-MySQL-4.023-2.fc19.x86_64
--> Processing Dependency: libmysqlclient.so.18()(64bit) for package: perl-DBD-MySQL-4.023-2.fc19.x86_64
---> Package perl-IO-Socket-SSL.noarch 0:1.88-1.fc19 will be installed
--> Processing Dependency: perl(IO::Socket::IP) >= 0.11 for package: perl-IO-Socket-SSL-1.88-1.fc19.noarch
--> Processing Dependency: perl(Net::LibIDN) for package: perl-IO-Socket-SSL-1.88-1.fc19.noarch
---> Package perl-Net-SSLeay.x86_64 0:1.54-1.fc19 will be installed
---> Package perl-Task-Weaken.noarch 0:1.04-6.fc19 will be installed
--> Running transaction check
---> Package perl-DBD-MySQL.x86_64 0:4.023-2.fc19 will be installed
--> Processing Dependency: libmysqlclient.so.18(libmysqlclient_16)(64bit) for package: perl-DBD-MySQL-4.023-2.fc19.x86_64
--> Processing Dependency: libmysqlclient.so.18()(64bit) for package: perl-DBD-MySQL-4.023-2.fc19.x86_64
---> Package perl-IO-Socket-IP.noarch 0:0.19-1.fc19 will be installed
---> Package perl-Net-LibIDN.x86_64 0:0.12-14.fc19 will be installed
--> Finished Dependency Resolution
Error: Package: perl-DBD-MySQL-4.023-2.fc19.x86_64 (fedora)
           Requires: libmysqlclient.so.18()(64bit)
Error: Package: perl-DBD-MySQL-4.023-2.fc19.x86_64 (fedora)
           Requires: libmysqlclient.so.18(libmysqlclient_16)(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
Comment 1 Fedora Admin XMLRPC Client 2013-08-12 08:35:43 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Jitka Plesnikova 2013-08-27 06:40:16 EDT
I found following information on Features/ReplaceMySQLwithMariaDB

* "exclude=mariadb*" should be used during the upgrade from F18 to F19. Then it should be removed
*  If you really need to install community-mysql client library and/or devel files (packaged as community-mysql-libs, community-mysql-devel) instead of mariadb packages, note that you will have to keep mariadb-libs (which is the only package that doesn't conflict with community-mysql) to be able to use packages depending on mariadb client packages.

mariadb-libs have to be installed, although you are using community-mysql*.

Note You need to log in before you can comment on or make changes to this bug.